QGIS Application - Bug report #19824
Modifications to project models are not saved
2018-09-12 12:05 AM - Olivier Dalang

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Modeller

Affected QGIS version:3.3(master) Regression?: No
Operating System: Windows 10 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 27648
Description

Hi !

Modifications to project models are not saved.

Steps to reproduce :

1. Create a model

2. Save it to the project (using the dedicated button)

3. Close.

4. Open the model (right-click, edit model)

5. Make some changes

6. Save it to the project again (using the dedicated button)
7.Close

8. Reopen the model

The modifications were not saved.

Expected results :

The model should be overwritten, opt. with a confirmation dialog.
Workarounds :

Manually delete the previous model before saving or save under another name.

Thanks for that models in project feature which will be very useful !!

Associated revisions

Revision 3406318 - 2018-09-15 06:53 AM - Olivier Dalang
fix #19824 where modifications to project models were not saved
Models definitions are now stored in a dict rather than list

which allows for less verbose code to reference models by name

History

#1 - 2018-09-12 01:52 AM - Olivier Dalang
See https://github.com/qgis/QGIS/pull/7865

#2 - 2018-09-12 04:22 PM - Giovanni Manghi
- Pull Request or Patch supplied changed from No to Yes

#3 - 2018-09-15 06:53 AM - Olivier Dalang
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|340631f85057193e0cdf045c25f164ebc73eaddc.

2025-04-27 22


https://github.com/qgis/QGIS/pull/7865

